Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
POSTSSO OperationsSince 4.5.0SynchronousAuth Required

UpdateCasClient

UpdateCasClient

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • uuidStringRequired

    The resource UUID.

  • descriptionString

    Optional. The detailed description of the resource.

  • nameString

    Optional. The resource name.

  • casServerLoginUrlString

    Optional. casServerLoginUrl.

  • casServerUrlPrefixString

    Optional. casServerUrlPrefix

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryCasClientInventoryRequired

    See inventory

    • casServerLoginUrlStringRequired

      casServerLoginUrl.

    • casServerUrlPrefixStringRequired

      casServerUrlPrefix.

    • serverNameStringRequired

      The mn address (http://{mn_ip:port}/8080).

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • clientTypeStringRequired

      clientType.

    • loginTypeStringRequired

      The login type: cas-iam1 cas-ima2 oauth2-iam1 oauth2-iam2

    • loginMNUrlStringRequired

      The password-free url.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • accountUuidStringRequired

      The account UUID.

    • stateCasStateRequired

      See state

      • EnabledCasStateRequired

        已启用。

      • DisabledCasStateRequired

        已禁用。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/update/cas/client

/zstack/v1/update/cas/client

Operation ID

UpdateCasClient

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/update/cas/client' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"uuid":"<uuid>","description":"<description>","name":"<name>","casServerLoginUrl":"<casServerLoginUrl>","casServerUrlPrefix":"<casServerUrlPrefix>","serverName":"<serverName>","loginType":"<loginType>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "casServerLoginUrl": "http://zstack.com/login", "casServerUrlPrefix": "http://zstack.com", "serverName": "http://127.0.0.1:8080/", "uuid": "5068f4c641153a3d9353c3326dc1dd5e", "name": "test", "description": "test", "loginType": "iam2", "loginMNUrl": "http://127.0.0.1:8080/zstack/sso/cas/" } }

Change History

This API has no change history records yet.

View all change history